package javax.sql.rowset;

import java.sql.SQLException;

public interface RowSetFactory
{
    public abstract CachedRowSet createCachedRowSet() throws SQLException;
    
    public abstract FilteredRowSet createFilteredRowSet() throws SQLException;
    
    public abstract JdbcRowSet createJdbcRowSet() throws SQLException;
    
    public abstract JoinRowSet createJoinRowSet() throws SQLException;
    
    public abstract WebRowSet createWebRowSet() throws SQLException;
}
